html,
body {
  margin: 0;
  padding: 0;
}

.spacer {
  flex: 1 1 auto;
}

.social {
  display: flex;
  flex-wrap: nowrap;
  justify-content: flex-end;

  a {
    margin-right: 40px;
    color: #ffffff;
    padding: 20px;

    i:hover {
      transform: scale(1.3);
    }
  }
}

.mat-toolbar {
  background-color: #3f51b5;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;

  a {
    color: #ffffff;
    font-weight: bold;
  }
}

/* Media queries for responsiveness */
@media screen and (max-width: 600px) {
  .social {
    flex-wrap: wrap;
    justify-content: center;

    a {
      margin-right: 20px;
      margin-bottom: 20px;
    }
  }

  .mat-toolbar {
    flex-direction: column;
    height: auto;

    a {
      font-size: 14px;
    }
  }

  .menu-items {
    display: flex;
    flex-direction: column;
    align-items: center;

    a {
      margin: 10px 0;
    }
  }
}

@media screen and (min-width: 601px) and (max-width: 900px) {
  .social {
    flex-wrap: wrap;
    justify-content: center;

    a {
      margin-right: 30px;
    }
  }
}
